Name:          jsendnsca
Version:       2.1.1
Release:       7%{?dist}
Summary:       Java API for sending passive checks to the Nagios NSCA add-on
# Source files without license headers https://github.com/jsendnsca/jsendnsca/issues/24
License:       ASL 2.0
URL:           https://github.com/jsendnsca/jsendnsca
Source0:       https://github.com/jsendnsca/jsendnsca/archive/v%{version}/%{name}-%{version}.tar.gz
# https://github.com/jsendnsca/jsendnsca/issues/25
Patch0:        jsendnsca-2.1.1-fixtest-patch

#BuildRequires: hostname
BuildRequires: maven-local
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(commons-lang:commons-lang)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.bouncycastle:bcprov-jdk15on)
BuildRequires: mvn(org.hamcrest:hamcrest-all)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
JSendNSCA is Java API for sending passive checks to the
Nagios NSCA add-on.

By using JSendNSCA, you can easily integrate your
Java applications into a Nagios monitored environment
thereby notifying Nagios/Icinga/Opsview of problems and
issues during the running of your application.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

# Unavailable plugin
%pom_remove_plugin :coveralls-maven-plugin

# Unwanted tasks
%pom_remove_plugin :jacoco-maven-plugin
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

%pom_xpath_set "pom:project/pom:packaging" bundle
# Fix bundle plugin configuration
%pom_add_plugin org.apache.felix:maven-bundle-plugin:2.5.4 . "
<extensions>true</extensions>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>"
# Required by apache camel
%pom_add_plugin org.apache.maven.plugins:maven-jar-plugin:2.5 . "
<extensions>true</extensions>
<executions>
  <execution>
    <phase>package</phase>
    <goals>
      <goal>test-jar</goal>
    </goals>
  </execution>
</executions>"

%mvn_package :%{name}::tests:
%mvn_alias :%{name}::tests: com.googlecode:%{name}::tests:

%mvn_file :%{name} %{name}
%mvn_alias :%{name} com.googlecode:%{name}-core

%build

# Test use web connection: java.io.IOException: Cannot run program "hostname": error=2, No such file or directory
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Mar 28 2016 gil cattaneo <puntogil@libero.it> 2.1.1-1
- update to 2.1.1

* Sat Jun 08 2013 gil cattaneo <puntogil@libero.it> 2.0.1-1
- initial rpm
